/* styles.css */
/*
  1. Use a more-intuitive box-sizing model.
*/
*,
*::before,
*::after {
    box-sizing: border-box;
}
/*
    2. Remove default margin
  */
* {
    margin: 0;
}
/*
    Typographic tweaks!
    3. Add accessible line-height
    4. Improve text rendering
  */
body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}
/*
    5. Improve media defaults
  */
img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}
/*
    6. Remove built-in form typography styles
  */
input,
button,
textarea,
select {
    font: inherit;
}
/*
    7. Avoid text overflows
  */
p,
h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: break-word;
}
/*
    8. Create a root stacking context
  */
#root,
#__next {
    isolation: isolate;
}

body {
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-size: 1rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Montserrat", sans-serif;
    line-height: 1.4;
}

h1 {
    font-size: min(max(26px, 2.2vw), 32px);
    font-weight: 700;
    margin-bottom: 20px;
    color: #070a37;
}

h2 {
    font-size: min(max(22px, 1.8vw), 26px);
    font-weight: 700;
    margin-bottom: 10px;
}

p {
    font-size: min(max(14px, 1.2vw), 16px);
}

a {
    color: inherit;
}

img {
    max-width: unset;
}

/* Start custom styles */

.skip-to-main-content-link {
    position: absolute;
    left: -9999px;
    z-index: 999;
    padding: 1em;
    background-color: black;
    color: white;
    opacity: 0;
}
.skip-to-main-content-link:focus {
    left: 50%;
    transform: translateX(-50%);
    opacity: 1;
}

/**
 * END OF RESET
 */

/**
 * HEADER
 */

#top-bar {
    text-align: right;
    background-color: #171717;
    padding: 8px 30px;
    color: white;
    font-family: "Montserrat", sans-serif;
    font-size: 0.925rem;
    font-weight: 500;
}

#top-bar div {
    max-width: 1340px;
    margin: 0 auto;
}

#main-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 30px;
    max-width: 1400px;
    margin: 0 auto;
    margin-bottom: 10px;
}

nav ul {
    list-style: none;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

nav ul li.active a {
    color: #1a23bc;
}

nav ul li a {
    text-decoration: none;
    color: #171717;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    font-size: min(max(14px, 1.2vw), 16px);
    transition: color 0.2s ease-in-out;
}

nav ul li a:hover {
    color: #1a23bc;
}

.header-cta-container {
    display: flex;
    align-items: center;
    gap: 20px;
}

/* Mobile Nav */
#mobileNavToggle {
    display: none;
    height: 44px;
    width: 44px;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.1s;
}

#mobileNavToggle:hover {
    background-color: #f0f1f9;
}

#mobileNav {
    position: absolute;
    top: 113px;
    left: 0;
    width: 100%;
    background-color: #ffffff;
    z-index: 991;
    padding: 20px;
    opacity: 0;
    max-height: 0;
    transition: opacity 0.3s ease-out, max-height 0.3s ease-out;
    pointer-events: none;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

#mobileNav.show {
    opacity: 1;
    max-height: 100%; /* Adjust this value to fit your content */
    pointer-events: auto;
}

#mobileNav div {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

#mobileNav a {
    width: 100%;
    color: #070a37;
    text-decoration: none;
    font-weight: 600;
    text-wrap: nowrap;
    padding: 20px;
    text-align: center;
    border-radius: 4px;
}

#mobileNav a:hover {
    background-color: #f0f1f9;
}

#mobileNav a:focus {
    background-color: #f0f1f9;
}

/**
 * BUTTONS
 */

.button {
    display: inline-block;
    background-color: #ffbf46;
    color: #171717;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-family: "Montserrat", sans-serif;
    font-weight: 600;
    font-size: min(max(14px, 1.2vw), 16px);
    transition: background-color 0.2s ease-in-out;
    width: fit-content;
}

.button:hover {
    background-color: #ffac13;
}

/**
 * CONTAINER
 */

#main-content {
    padding-bottom: 60px;
}

.container {
    padding: 0 30px;
}

.container.maxw {
    max-width: 1400px;
    margin: 0 auto;
}

/**
 * HERO
 */

.hero {
    display: flex;
    gap: 20px;
    padding: 0 30px;
    height: 520px;
}

.hero .left {
    width: 45%;
    padding: 100px 60px;
    background-color: #f0f1f9;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    border-radius: 12px;
}

.hero .content p {
    margin-bottom: min(max(20px, 1.8vw), 24px);
}

.hero .right {
    width: 55%;
    height: 100%;
    border-radius: 12px;
    background-color: #ccc;
    overflow: hidden;
}

/**
 * SECTIONS
 */

section {
    max-width: 1520px;
    margin: 0 auto;
}

#services {
    padding: 130px 70px;
}

.services {
    display: flex;
    justify-content: center;
    gap: 40px;
}

.service {
    flex: 1;
}

.service img {
    width: 100%;
    max-width: 60px;
    margin-bottom: 18px;
}

.service h3 {
    font-size: min(max(16px, 1.2vw), 20px);
    font-weight: 700;
    margin-bottom: 10px;
}

.gallery {
    text-align: center;
    padding: 20px;
}

.gallery .images img {
    margin: 10px;
    width: calc(33% - 20px);
}

.service-blurb {
    display: flex;
    align-items: center;
    gap: 60px;
    padding: 40px;
    margin-bottom: 60px;
    background-color: #f0f1f9;
    border-radius: 24px;
}

.service-blurb.reverse {
    flex-direction: row-reverse;
    background-color: #fff;
}

.service-blurb img {
    width: 40%;
    height: auto;
}

.service-blurb .content {
    width: 60%;
}

.service-blurb h2 {
    color: #1a24bc;
    font-size: min(max(14px, 1.2vw), 16px);
}

.service-blurb h3 {
    color: #070a37;
    font-size: min(max(24px, 2.1vw), 30px);
    margin: 10px 0;
    font-weight: 700;
}

.service-blurb p {
    color: rgba(7, 10, 55, 0.8);
    line-height: 1.5;
    margin-bottom: 40px;
}

/**
 * Secondary pages
 */
.secondary-hero-container {
    padding: 0 30px;
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
    align-items: stretch;
    gap: 20px;
    height: fit-content;
}

.secondary-hero-image {
    width: 33%;
}

.secondary-hero-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 12px;
}

.secondary-hero {
    padding: 60px;
    background-color: #f0f1f9;
    border-radius: 12px;
    width: 67%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.secondary-hero h1 {
    font-size: min(max(14px, 1.2vw), 16px);
    font-weight: 700;
    color: #1a24bc;
    margin-bottom: 10px;
}

.secondary-hero h2 {
    font-size: min(max(28px, 2.2vw), 32px);
    color: #070a37;
    margin-bottom: 20px;
}

.secondary-hero p {
    color: rgba(7, 10, 55, 0.8);
}

.secondary-container {
    max-width: 1300px;
    margin: 0 auto;
    display: flex;
    gap: 80px;
    padding: 100px 30px;
}

.secondary-container div {
    width: 70%;
}

.secondary-container img {
    width: 30%;
}
/**
 * FOOTER
 */

footer {
    background-color: #f0f1f9;
    color: #333;
    font-family: "Open Sans", sans-serif;
    text-align: left;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    gap: 60px;
    max-width: 1400px;
    padding: 50px;
    margin: 0 auto;
}

.footer-container img {
    margin-bottom: 32px;
}

.footer-container p {
    max-width: 540px;
    margin-bottom: 14px;
}

.footer-container h3 {
    margin-bottom: 10px;
}

.footer-container ul {
    list-style: none;
    padding: 0;
}

.footer-container ul li a {
    color: #333;
    text-decoration: none;
}

.footer-bottom {
    background-color: #dfe1f1;
    padding: 10px 50px;
    margin-top: 20px;
}

.footer-bottom-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1300px;
    margin: 0 auto;
}

.footer-bottom p {
    margin: 5px 0;
    font-size: 0.85rem;
    color: rgba(7, 10, 55, 0.8);
}

.footer-motto {
    font-family: "Montserrat", sans-serif;
}

.footer-menu-container {
    display: flex;
    gap: 80px;
}

.footer-menu h3 {
    color: #1a24bc;
    padding-bottom: 6px;
    border-bottom: 1px solid #d7d9e5;
    margin-bottom: 10px;
}

.footer-menu ul li {
    margin-bottom: 6px;
}

.footer-menu ul li a:hover {
    color: #1a24bc;
}

.about-us-content {
    text-align: center;
    max-width: 600px;
    margin: 0 auto;
}

.about-us-tiles {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.about-us-tiles div {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
    border-radius: 12px;
    font-family: "Montserrat", sans-serif;
    font-weight: 600;
}

.about-us-tiles div:nth-child(1) {
    background-color: #fff1e1;
}

.about-us-tiles div:nth-child(2) {
    background-color: #f0f7f9;
}

.about-us-tiles div:nth-child(3) {
    background-color: #f5fad9;
}

.about-us-tiles div:nth-child(4) {
    background-color: #ffeaea;
}

.about-us-tiles div:nth-child(5) {
    background-color: #f0f1f9;
}

@media (min-width: 981px) {
    #mobileNav {
        display: none;
    }
}

@media all and (max-width: 980px) {
    .hero {
        flex-direction: column-reverse;
        height: auto;
    }

    .hero .left {
        width: 100%;
        padding: 50px;
    }

    .hero .right {
        width: 100%;
        aspect-ratio: 16/9;
    }

    #header ul {
        display: none;
    }
    #mobileNavToggle {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .services {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 50px;
    }
}

@media all and (max-width: 800px) {
    .service-blurb {
        flex-direction: column;
        gap: 30px;
        padding: 20px;
    }

    .service-blurb.reverse {
        flex-direction: column;
    }

    .service-blurb img {
        width: 100%;
    }

    .service-blurb .content {
        width: 100%;
    }
    .container {
        padding: 0 20px;
    }
    .secondary-hero-container {
        padding: 0;
        flex-direction: column;
        gap: 0;
    }
    .secondary-hero {
        padding: 40px;
        border-radius: 0;
    }
    .secondary-hero-image {
        width: 100%;
    }
    .secondary-hero {
        width: 100%;
    }
    .secondary-hero-image img {
        border-radius: 0;
    }
    .secondary-container {
        flex-direction: column-reverse;
        gap: 30px;
        padding: 30px;
    }
    .secondary-container div {
        width: 100%;
    }
    .secondary-container img {
        width: 100%;
        aspect-ratio: 3/2;
        object-fit: cover;
    }
    .about-us-tiles {
        flex-direction: column;
        gap: 8px;
    }
}

@media all and (max-width: 610px) {
    .hero {
        flex-direction: column-reverse;
        height: auto;
        gap: 0;
        padding: 0;
    }

    .hero .right {
        aspect-ratio: 16/13;
        border-radius: 0;
    }

    .hero .left {
        padding: 40px;
    }

    #main-nav img {
        width: 100px;
    }

    #services {
        padding: 40px;
        margin-bottom: 40px;
    }

    #services h2 {
        text-align: center;
    }

    .services {
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .service {
        max-width: 380px;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .footer-container {
        flex-direction: column;
        padding: 30px;
    }
    .footer-menu {
        margin-top: 30px;
    }
    .footer-bottom-container {
        flex-direction: column;
    }
}
